<?php
$nt = explode(".", $_POST['Bezahlt_am']);
$Datum = $nt['2'] . "-" . $nt['1'] . "-" . $nt['0'];
$temp = 0;

if (3 != sizeof($nt))
{
	echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
	echo "<h2>Das korrekte Datumsformat ist z.B.: \"25.07.2009\"!</h2>\n";
}
else
{
	if (4 != strlen($nt['2']))
	{
		echo "<h1>Bitte überprüfen Sie das Datumsformat bei der Eingabe!</h1>\n";
		echo "<h2>Die Eingabe der Jahreszahl muss 4-stellig erfolgen!</h2>\n";
	}
	else
	{
		if (checkdate($nt['1'], $nt['0'], $nt['2']))
		{
			$temp = 1;
		}
		else
		{
			echo "<h1>Bitte überprüfen Sie das eingegebene Datum!</h1>\n";
			echo "<h2>Das Datum <i>" . $_POST['Bezahlt_am'] . "</i> existiert nicht!</h2>\n";
		}
	}
}

if ("" != $_POST['Teilsumme'])
{
	if (1 == $temp)
	{
		$sql = 'UPDATE ' . PREFIX . '_Rechnungen SET
					Teilzahlungen 	= "1"
				WHERE
					(Jahr 			= "' . $_POST['Jahr'] . '"
				AND
					ID 				= "' . $_POST['ID'] . '");';
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
		}
		$Preis = $_POST['Teilsumme'] / (1 + $_POST['MwSt'] / 100);
		$sql = "INSERT INTO " . PREFIX . "_Teilzahlungen (ID, Referenz_Jahr, Referenz_ID, MwSt, Preis, Bezahlt_am) VALUES
					(NULL, \"" . $_POST['Jahr'] . "\", \"" . $_POST['ID'] . "\", \"" . $_POST['MwSt'] . "\", \"" . $Preis . "\", \"" . $Datum . "\");";
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
		}
		echo "<h1>Der Teilbetrag wurde als <i>bezahlt am " . $_POST['Bezahlt_am'] . "</i> eingetragen!</h1>\n";
	}
}
else
{
	if (1 == $temp)
	{
		$sql = 'UPDATE ' . PREFIX . '_Rechnungen SET
					Bezahlt 	= "1",
					Bezahlt_am	= "' . $Datum . '"
				WHERE
					(Jahr 		= "' . $_POST['Jahr'] . '"
				AND
					ID 			= "' . $_POST['ID'] . '");';
		$stmt = $db->prepare($sql);
		if (!$stmt)
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $db->error);
		}
		if (!$stmt->execute())
		{
			die ('Datensatz konnte nicht gespeichert werden: ' . $stmt->error);
		}
		echo "<h1>Der offene Betrag wurde als <i>bezahlt am " . $_POST['Bezahlt_am'] . "</i> eingetragen!</h1>";
	}
}


include __DIR__ . "/oposten_overview.php";